org.apidesign.bck2brwsr.aot

## Class Bck2BrwsrJars

- java.lang.Object
- - org.apidesign.bck2brwsr.aot.Bck2BrwsrJars

-     public final class Bck2BrwsrJars
      extends Object

  Utilities to process JAR files and set a compiler up.
  Since:
    0.9
  Author:
    Jaroslav Tulach

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apidesign.vm4brwsr.Bck2Brwsr` | `configureFrom(org.apidesign.vm4brwsr.Bck2Brwsr c, File jar)` Creates new compiler pre-configured from the content of provided JAR file.
    `static org.apidesign.vm4brwsr.Bck2Brwsr` | `configureFrom(org.apidesign.vm4brwsr.Bck2Brwsr c, File jar, ClassLoader classpath)` Creates new compiler pre-configured from the content of provided JAR file.
    `static org.apidesign.vm4brwsr.Bck2Brwsr` | `configureFrom(org.apidesign.vm4brwsr.Bck2Brwsr c, File jar, ClassLoader classpath, boolean ignoreBootClassPath)` Creates new compiler pre-configured from the content of provided JAR file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### configureFrom

          public static org.apidesign.vm4brwsr.Bck2Brwsr configureFrom(org.apidesign.vm4brwsr.Bck2Brwsr c,
                                                                       File jar)
                                                                throws IOException

      Creates new compiler pre-configured from the content of provided JAR file. The compiler will compile all classes. The system understands OSGi manifest entries and NetBeans module system manifest entries and will export all packages that are exported in the JAR file. The system also recognizes META-INF/services and makes sure the class names are not mangled.
      Parameters:
        `c` - the compiler to `add classes`, `add resources` and `exported objects` to. Can be `null` - in such case an `empty compiler` is constructed.
        `jar` - the file to process
      Returns:
        newly configured compiler
      Throws:
        `IOException` - if something goes wrong

    - #### configureFrom

          public static org.apidesign.vm4brwsr.Bck2Brwsr configureFrom(org.apidesign.vm4brwsr.Bck2Brwsr c,
                                                                       File jar,
                                                                       ClassLoader classpath)
                                                                throws IOException

      Creates new compiler pre-configured from the content of provided JAR file. The compiler will compile all classes. The system understands OSGi manifest entries and NetBeans module system manifest entries and will export all packages that are exported in the JAR file. The system also recognizes META-INF/services and makes sure the class names are not mangled.
      Parameters:
        `c` - the compiler to `add classes`, `add resources` and `exported objects` to. Can be `null` - in such case an `empty compiler` is constructed.
        `jar` - the file to process
        `classpath` - additional resources to make available during compilation, but not include them in the generated JavaScript
      Returns:
        newly configured compiler
      Throws:
        `IOException` - if something goes wrong
      Since:
        0.11

    - #### configureFrom

          public static org.apidesign.vm4brwsr.Bck2Brwsr configureFrom(org.apidesign.vm4brwsr.Bck2Brwsr c,
                                                                       File jar,
                                                                       ClassLoader classpath,
                                                                       boolean ignoreBootClassPath)
                                                                throws IOException

      Creates new compiler pre-configured from the content of provided JAR file. The compiler will compile all classes. The system understands OSGi manifest entries and NetBeans module system manifest entries and will export all packages that are exported in the JAR file. The system also recognizes META-INF/services and makes sure the class names are not mangled.
      Parameters:
        `c` - the compiler to `add classes`, `add resources` and `exported objects` to. Can be `null` - in such case an `empty compiler` is constructed.
        `jar` - the file to process
        `classpath` - additional resources to make available during compilation, but not include them in the generated JavaScript
        `ignoreBootClassPath` - should we ignore classes on bootclasspath?
      Returns:
        newly configured compiler
      Throws:
        `IOException` - if something goes wrong
      Since:
        0.14

Copyright © 2025 API Design. All Rights Reserved.